<script setup lang="ts">
  import { CmsBlockImageTwoColumn } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageTwoColumn;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
</script>
<template>
  <div class="grid gap-10 md:grid-cols-2">
    <CmsGenericElement :content="leftContent" />
    <CmsGenericElement :content="rightContent" />
  </div>
</template>
